Subject: vim-5.0 and ncurses-4.1 under CygWin32 beta19
From: [email-masked] (Cook, John)

6 Mar 1998 22:14:58 -0800
Message-ID: <DD1A417EB683D111828300A024C3446336FEC8.cygnus.gnu-win32@SJXPR05>
Mime-Version: 1.0
Content-Type: multipart/mixed;
	boundary="---- =_NextPart_000_01BD46F4.F586002A"
To: gnuwin32 <[email-masked]>, vimlist <[email-masked]>

This message is in MIME format. Since your mail reader does not understand
this format, some or all of this message may not be legible.

------ =_NextPart_000_01BD46F4.F586002A
Content-Type: text/plain;
	charset="iso-8859-1"

[Cygnus has just released beta 19 of their CygWin32 environment
for Windows NT/95, and Bram Moolenaar recently released vim-5.0,
so I am re-posting my summary of how to build ncurses and vim
using the latest versions.]

Here is how I built and installed ncurses-4.1 and vim-5.0 in the 
CygWin32 environment.  Note I installed CygWin32 b19 in
e:\Cygnus and that my CygWin32 mount table looks like this (you
need to mount /usr and /bin directories for the rest of what
follows to work, and use binary mounts for all CygWin32
directories):

  Device           Directory           Type        Flags
  e:\Cygnus\b19    /usr                native      no-mixed,text=binary
  e:               /e                  native      no-mixed,text=binary
  d:               /d                  native      no-mixed,text=binary
  c:               /c                  native      no-mixed,text=binary
  e:\Cygnus\b19\H-i386-cygwin32\bin  /bin  native  no-mixed,text=binary
  b:               /b                  native      no-mixed,text=binary
  a:               /a                  native      no-mixed,text=binary
  e:\Cygnus\rootdir /                  native      no-mixed,text=binary

1.  Ensure that your .bashrc has the following:

 export CYGREL=B19
 export OSTYPE=cygwin32
 export MAKE_MODE=unix
 export CYGROOT=/e/Cygnus/B19
 export CYGFS=/e/Cygnus/B19
 export GCC_EXEC_PREFIX=/e/Cygnus/B19/H-i386-cygwin32/lib/gcc-lib/
 export TCL_LIBRARY=/e/Cygnus/B19/share/tcl8.0/
 export GDBTK_LIBRARY=/e/Cygnus/B19/share/gdbtcl

2.  Install the attached 'ginstall' script per its comments.
    This script helps you run standard Unix install scripts 
    under CygWin32.

3.  Download and install ncurses-4.1 (available from 
    http://www.clark.net/pub/dickey/) as follows:

    Unpack the tarball into a temporary directory. 
    Then, from bash, just do:
      ./configure --prefix=/usr
      make
      make install

4.  Build and install vim-5.0 as follows:

    Unpack the tarball into a temporary directory.
    Edit vim-5.0/src/Makefile as follows: 
      Un-comment these lines (I have Win32 Perl and Python but 
      not the CygWin32 versions!):
        CONF_OPT_PERL = --disable-perlinterp
        CONF_OPT_PYTHON = --disable-pythoninterp
      Other settings for my CygWin32 install:
        prefix=/usr
        BINDIR=/usr/bin

    Then, from bash, just do:
      export SUFFIX=.exe
      make
      make install

Provided bash sets TERM=linux, the resulting Vim should work well
in the CygWin32 environment.  The only problems I have
encountered so far are some minor color highlighting anomalies.
Here are the color settings I use (this is a black background;
for TERM=linux the bold attribute makes colors brighter):

  highlight Normal            term=NONE cterm=bold ctermfg=2  ctermbg=0
  highlight Comment           term=NONE cterm=NONE ctermfg=7
  highlight Constant          term=NONE cterm=bold ctermfg=6
  highlight Identifier        term=NONE cterm=bold ctermfg=1
  highlight Statement         term=NONE cterm=bold ctermfg=3
  highlight PreProc           term=NONE cterm=bold ctermfg=5
  highlight Type              term=NONE cterm=bold ctermfg=1
  highlight Special           term=NONE cterm=bold ctermfg=5
  highlight Directory         term=NONE cterm=bold ctermfg=6
  highlight SpecialKey        term=NONE cterm=bold ctermfg=3
  highlight Title             term=NONE cterm=bold ctermfg=1
  highlight Question          term=NONE cterm=bold ctermfg=5
  highlight MoreMsg           term=NONE cterm=bold ctermfg=5
  highlight ModeMsg           term=NONE cterm=bold ctermfg=7
  highlight Search            term=NONE cterm=bold ctermfg=3  ctermbg=1
  highlight NonText           term=NONE cterm=bold ctermfg=1
  highlight LineNr            term=NONE cterm=bold ctermfg=3
  highlight WarningMsg        term=NONE cterm=bold ctermfg=3
  highlight ToDo              term=NONE cterm=bold ctermfg=7  ctermbg=1

  highlight SpecialKey        term=NONE cterm=bold ctermfg=6
  highlight Directory         term=NONE cterm=bold ctermfg=6
  highlight Title             term=NONE cterm=bold ctermfg=6
  highlight ErrorMsg          term=NONE cterm=bold ctermfg=7  ctermbg=1
  highlight StatusLine        term=NONE cterm=reverse
  highlight Visual            term=NONE cterm=reverse
  highlight Error             term=NONE cterm=bold ctermbg=1

  highlight shFunction        term=NONE cterm=bold ctermfg=6
  highlight shShellVariables  term=NONE cterm=bold ctermfg=2
  highlight shOperator        term=NONE cterm=bold ctermfg=5

When I first open a file with no other highlighting in effect,
text does not appear with the cterm=bold attribute in effect
(therefore the text is green but not bright; it is very difficult
to read against the black background).  As soon as I look at
anything with highlighting on (for example, the :hi command), or
page down and page up, then the attribute comes into effect.
Edit commands also effect the attribute.  Also, comments appear
as white instead of grey (as if the cterm=bold attribute is in
effect when it should not be).

I know enough of neither ncurses nor Vim screen drawing to know where 
to look for the cause of these problems.

--John

 <<ginstall>> 

------ =_NextPart_000_01BD46F4.F586002A
Content-Type: application/octet-stream;
	name="ginstall"
Content-Transfer-Encoding: quoted-printable
Content-Disposition: attachment;
	filename="ginstall"

#!/bin/sh=0A=
# file: ginstall=0A=
# author: earnie	email: [email-masked]=0A=
# Install Preprocessor for the gnu-win32 "make install" command.=0A=
#=0A=
# Modified by John Cook, [email-masked]:=0A=
# Renamed to ginstall since some configure scripts look =0A=
# for 'ginstall' before before 'install'.=0A=
#=0A=
# To use:=0A=
#   copy this file to /bin/ginstall=0A=
#=0A=
# Note:=0A=
#   No warranty implicit or explicit is given.=0A=
#   You may copy, distribute and use as you see fit.=0A=
#   USE AT YOU OWN RISK.=0A=
#=0A=
tstr=3D""=0A=
while test $# -gt 0; \=0A=
do \=0A=
	if test -e $1.exe; \=0A=
	then \=0A=
		tstr=3D"$tstr$1.exe $2.exe"; \=0A=
		shift; \=0A=
	else \=0A=
		tstr=3D"$tstr$1 "; \=0A=
	fi; \=0A=
	shift; \=0A=
done=0A=
echo "/bin/ginstall $tstr"=0A=
eval "/bin/ginstall $tstr"; \=0A=
exit=0A=

------ =_NextPart_000_01BD46F4.F586002A--
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".